org.keycloak.protocol.docker.mapper

## Class AllowAllDockerProtocolMapper

- java.lang.Object
- - org.keycloak.protocol.docker.mapper.DockerAuthV2ProtocolMapper
  - - org.keycloak.protocol.docker.mapper.AllowAllDockerProtocolMapper

- All Implemented Interfaces:
    DockerAuthV2AttributeMapper, ProtocolMapper, ConfiguredProvider, Provider, ProviderFactory<ProtocolMapper>

      public class AllowAllDockerProtocolMapper
      extends DockerAuthV2ProtocolMapper
      implements DockerAuthV2AttributeMapper

  Populates token with requested scope. If more scopes are present than what has been requested, they will be removed.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROVIDER_ID`

    - ### Fields inherited from class org.keycloak.protocol.docker.mapper.DockerAuthV2ProtocolMapper

      `DOCKER_AUTH_V2_CATEGORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AllowAllDockerProtocolMapper()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `appliesTo(DockerResponseToken responseToken)`
    `String` | `getDisplayType()`
    `String` | `getHelpText()`
    `String` | `getId()`
    `DockerResponseToken` | `transformDockerResponseToken(DockerResponseToken responseToken, ProtocolMapperModel mappingModel, KeycloakSession session, UserSessionModel userSession, AuthenticatedClientSessionModel clientSession)`

    - ### Methods inherited from class org.keycloak.protocol.docker.mapper.DockerAuthV2ProtocolMapper

      `close, create, getConfigProperties, getDisplayCategory, getProtocol, init, postInit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.protocol.ProtocolMapper

      `getPriority, validateConfig`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Field Detail

    - #### PROVIDER_ID

          public static final String PROVIDER_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AllowAllDockerProtocolMapper

          public AllowAllDockerProtocolMapper()

  - ### Method Detail

    - #### getDisplayType

          public String getDisplayType()

      Specified by:
        `getDisplayType` in interface `ProtocolMapper`

    - #### getHelpText

          public String getHelpText()

      Specified by:
        `getHelpText` in interface `ConfiguredProvider`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<ProtocolMapper>`

    - #### appliesTo

          public boolean appliesTo(DockerResponseToken responseToken)

      Specified by:
        `appliesTo` in interface `DockerAuthV2AttributeMapper`

    - #### transformDockerResponseToken

          public DockerResponseToken transformDockerResponseToken(DockerResponseToken responseToken,
                                                                  ProtocolMapperModel mappingModel,
                                                                  KeycloakSession session,
                                                                  UserSessionModel userSession,
                                                                  AuthenticatedClientSessionModel clientSession)

      Specified by:
        `transformDockerResponseToken` in interface `DockerAuthV2AttributeMapper`

Copyright © 2020 JBoss by Red Hat. All rights reserved.